Bug 15955 - mail segfaults on quit
mail segfaults on quit
Status: CLOSED DUPLICATE of bug 15728
Product: Red Hat Linux
Classification: Retired
Component: mailx (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Florian La Roche
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-10 17:53 EDT by Matt Domsch
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-14 11:33:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2000-08-10 17:53:09 EDT
RC1 install.  One mail message was sent to root about the tripwire 
database, so I ran 'mail'.  Type 1 to view the message, then q.  
Segmentation fault (core dumped).

strace yields:

execve("/bin/mail", ["mail"], [/* 27 vars */]) = 0
brk(0)                                  = 0x805d358
open("/etc/ld.so.preload", O_RDONLY)    = -1 ENOENT (No such file or 
directory)
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=46610, ...}) = 0
old_mmap(NULL, 46610, PROT_READ, MAP_PRIVATE, 3, 0) = 0x40017000
close(3)                                = 0
open("/lib/libc.so.6", O_RDONLY)        = 3
fstat64(3, {st_mode=S_IFREG|0755, st_size=4731749, ...}) = 0
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\220\267"..., 
4096) = 4096
old_mmap(NULL, 1180104, PROT_READ|PROT_EXEC, MAP_PRIVATE, 3, 0) = 
0x40023000
mprotect(0x4013a000, 37320, PROT_NONE)  = 0
old_mmap(0x4013a000, 24576, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED, 
3, 0x116000) = 0x4013a000
old_mmap(0x40140000, 12744, PROT_READ|PROT_WRITE, 
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x40140000
close(3)                                = 0
munmap(0x40017000, 46610)               = 0
_sysctl({{CTL_KERN, KERN_OSRELEASE}, 2, "2.2.16-21enterprise", 19, NULL, 
0}) = 0
getpid()                                = 16426
semget(1075045992, 0, IPC_CREAT|0x4013f0a0|0240) = -1 ENOSYS (Function not 
implemented)
getegid()                               = 0
getgid()                                = 0
setgid(0)                               = 0
rt_sigaction(SIGCHLD, {0x8052d20, [], SA_RESTART|0x4000000}, {SIG_DFL}, 8) 
= 0
ioctl(0, TCGETS, {B38400 opost isig icanon echo ...}) = 0
brk(0)                                  = 0x805d358
brk(0x805d378)                          = 0x805d378
brk(0x805e000)                          = 0x805e000
stat64("/tmp/", {st_mode=S_IFDIR|S_ISVTX|0777, st_size=1024, ...}) = 0
gettimeofday({965926121, 503222}, NULL) = 0
getpid()                                = 16426
stat64("/tmp/RsfJt1GJ", 0xbfffe850)     = -1 ENOENT (No such file or 
directory)
stat64("/tmp/", {st_mode=S_IFDIR|S_ISVTX|0777, st_size=1024, ...}) = 0
gettimeofday({965926121, 503493}, NULL) = 0
getpid()                                = 16426
stat64("/tmp/RqKl0vhj", 0xbfffe850)     = -1 ENOENT (No such file or 
directory)
stat64("/tmp/", {st_mode=S_IFDIR|S_ISVTX|0777, st_size=1024, ...}) = 0
gettimeofday({965926121, 503748}, NULL) = 0
getpid()                                = 16426
stat64("/tmp/RmXoRRQS", 0xbfffe850)     = -1 ENOENT (No such file or 
directory)
stat64("/tmp/", {st_mode=S_IFDIR|S_ISVTX|0777, st_size=1024, ...}) = 0
gettimeofday({965926121, 504063}, NULL) = 0
getpid()                                = 16426
stat64("/tmp/ReyOTybs", 0xbfffe850)     = -1 ENOENT (No such file or 
directory)
stat64("/tmp/", {st_mode=S_IFDIR|S_ISVTX|0777, st_size=1024, ...}) = 0
gettimeofday({965926121, 504314}, NULL) = 0
getpid()              = 16426
stat64("/tmp/RxJsa6u1", 0xbfffe850)     = -1 ENOENT (No such file or 
directory)
ioctl(1, TIOCGWINSZ, 0xbffff9c8)        = -1 ENOTTY (Inappropriate ioctl 
for device)
ioctl(1, TCGETS, 0xbffff960)            = -1 ENOTTY (Inappropriate ioctl 
for device)
open("/etc/mail.rc", O_RDONLY)          = 3
fcntl(3, F_GETFL)                       = 0 (flags O_RDONLY)
fstat64(3, {st_mode=S_IFREG|0644, st_size=112, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 
0) = 0x40017000
_llseek(3, 0, [0], SEEK_CUR)            = 0
fcntl(3, F_SETFD, FD_CLOEXEC)           = 0
read(3, "set ask askcc append dot save cr"..., 4096) = 112
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0x40017000, 4096)                = 0
open("/root/.mailrc", O_RDONLY)         = -1 ENOENT (No such file or 
directory)
open("/var/spool/mail/root", O_RDONLY)  = 3
fcntl(3, F_GETFL)                       = 0 (flags O_RDONLY)
fstat64(3, {st_mode=S_IFREG|0600, st_size=607, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 
0) = 0x40017000
_llseek(3, 0, [0], SEEK_CUR)            = 0
fcntl(3, F_SETFD, FD_CLOEXEC)           = 0
fstat64(3, {st_mode=S_IFREG|0600, st_size=607, ...}) = 0
rt_sigprocmask(SIG_BLOCK, [HUP INT QUIT], [], 8) = 0
open("/var/spool/mail/root", O_WRONLY)  = 4
close(4)                                = 0
fstat64(3, {st_mode=S_IFREG|0600, st_size=607, ...}) = 0
open("/tmp/RxJsa6u1", O_WRONLY|O_CREAT|O_EXCL, 0666) = 4
fcntl(4, F_GETFL)                       = 0x1 (flags O_WRONLY)
fstat64(4, {st_mode=S_IFREG|0644, st_size=0, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 
0) = 0x40018000
_llseek(4, 0, [0], SEEK_CUR)            = 0
fcntl(4, F_SETFD, FD_CLOEXEC)           = 0
open("/tmp/RxJsa6u1", O_RDONLY)         = 5
fcntl(5, F_GETFL)                       = 0 (flags O_RDONLY)
fstat64(5, {st_mode=S_IFREG|0644, st_size=0, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 
0) = 0x40019000
_llseek(5, 0, [0], SEEK_CUR)            = 0
fcntl(5, F_SETFD, FD_CLOEXEC)           = 0
stat64("/tmp/RxJsa6u1", {st_mode=S_IFREG|0644, st_size=0, ...}) = 0
unlink("/tmp/RxJsa6u1")                 = 0
gettimeofday({965926121, 507201}, NULL) = 0
getpid()                                = 16426
open("/tmp//mail.kghzKA", O_RDWR|O_CREAT|O_EXCL, 0600) = 6
fcntl(6, F_GETFL)                       = 0x2 (flags O_RDWR)
fstat64(6, {st_mode=S_IFREG|0600, st_size=0, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 
0) = 0x4001a000
_llseek(6, 0, [0], SEEK_CUR)            = 0
fcntl(6, F_SETFD, FD_CLOEXEC)           = 0
unlink("/tmp//mail.kghzKA")             = 0
read(3, "From root  Thu Aug 10 11:14:24 2"..., 4096) = 607
read(3, "", 4096)                       = 0
write(6, "\201\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\1\0\0\0\0\0\0\0_\2\0"..., 32) 
= 32
lseek(6, 16, SEEK_SET)                  = 16
read(6, "\1\0\0\0\0\0\0\0_\2\0\0\21\0\0\0", 16) = 16
close(6)                                = 0
munmap(0x4001a000, 4096)                = 0
close(3)                                = 0
munmap(0x40017000, 4096)                = 0
rt_sigprocmask(SIG_SETMASK, [], NULL, 8) = 0
rt_sigaction(SIGINT, {SIG_IGN}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGINT, {0x80517d0, [], SA_RESTART|0x4000000}, {SIG_IGN}, 8) 
= 0
fstat64(1, {st_mode=S_IFREG|0644, st_size=6164, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 
0) = 0x40017000
write(4, "From root  Thu Aug 10 11:14:24 2"..., 607) = 607
_llseek(5, 0, [0], SEEK_SET)            = 0
read(5, "From root  Thu Aug 10 11:14:24 2"..., 4096) = 607
_llseek(5, 607, [607], SEEK_SET)        = 0
_llseek(5, 607, [607], SEEK_SET)        = 0
write(1, "Mail version 8.1 6/6/93.  Type ?"..., 165Mail version 8.1 
6/6/93.  Type ? for help.
"/var/spool/mail/root": 1 message 1 unread
>U  1 root@localhost.local  Thu Aug 10 11:14  17/607   "Anacron 
job 'cron.dai"
) = 165
rt_sigaction(SIGINT, {SIG_DFL}, {0x80517d0, [], SA_RESTART|0x4000000}, 8) 
= 0
rt_sigaction(SIGINT, {SIG_IGN}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGINT, {0x804fe30, [], SA_RESTART|0x4000000}, {SIG_IGN}, 8) 
= 0
rt_sigaction(SIGHUP, {SIG_IGN}, {SIG_DFL}, 8) = 0
rt_sigaction(SIGHUP, {0x804ff50, [], SA_RESTART|0x4000000}, {SIG_IGN}, 8) 
= 0
rt_sigaction(SIGTSTP, {0x804fec0, [], SA_RESTART|0x4000000}, {SIG_DFL}, 8) 
= 0
rt_sigaction(SIGTTOU, {0x804fec0, [], SA_RESTART|0x4000000}, {SIG_DFL}, 8) 
= 0
rt_sigaction(SIGTTIN, {0x804fec0, [], SA_RESTART|0x4000000}, {SIG_DFL}, 8) 
= 0
write(1, "& ", 2& )                       = 2
fstat64(0, {st_mode=S_IFCHR|0620, st_rdev=makedev(4, 2), ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 
0) = 0x4001a000
ioctl(0, TCGETS, {B38400 opost isig icanon echo ...}) = 0
read(0, "1\n", 4096)                    = 2
_llseek(5, 607, [607], SEEK_SET)        = 0
write(1, "Message 1:\nFrom root  Thu Aug 10"..., 373Message 1:
From root  Thu Aug 10 11:14:24 2000
Date: Thu, 10 Aug 2000 11:14:23 -0500
From: root@localhost.localdomain (Anacron)
To: root@localhost.localdomain
Subject: Anacron job 'cron.daily'

/etc/cron.daily/tripwire-check:

****    Error: Tripwire database for localhost.localdomain not found.    
****
**** Run /etc/tripwire/twinstall.sh and/or tripwire --init. ****

& ) = 373
read(0, "q\n", 4096)                    = 2
rt_sigaction(SIGHUP, {SIG_IGN}, {0x804ff50, [], SA_RESTART|0x4000000}, 8) 
= 0
rt_sigaction(SIGINT, {SIG_IGN}, {0x804fe30, [], SA_RESTART|0x4000000}, 8) 
= 0
rt_sigaction(SIGQUIT, {SIG_IGN}, {SIG_DFL}, 8) = 0
open("/var/spool/mail/root", O_RDONLY)  = 3
fcntl(3, F_GETFL)                       = 0 (flags O_RDONLY)
fstat64(3, {st_mode=S_IFREG|0600, st_size=607, ...}) = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 
0) = 0x4001b000
_llseek(3, 0, [0], SEEK_CUR)            = 0
fcntl(3, F_SETFD, FD_CLOEXEC)           = 0
flock(3, LOCK_EX)                       = 0
fstat64(3, {st_mode=S_IFREG|0600, st_size=607, ...}) = 0
--- SIGSEGV (Segmentation fault) ---
+++ killed by SIGSEGV +++
Comment 1 Jeff Johnson 2000-08-11 14:35:30 EDT

*** This bug has been marked as a duplicate of 15728 ***
Comment 2 Matt Domsch 2000-08-11 14:37:46 EDT
Oh, I don't feel bad, I don't have permission to see the other bug.
Comment 3 Brock Organ 2000-08-14 11:22:05 EDT
you should be able to see the other bug now, Matt ...! Thanks for your report!

Note You need to log in before you can comment on or make changes to this bug.